Skip to content
NoetherDocs
Endpoint referenceOrders and transactions

POST /v1/orders/prepare

POST
/v1/orders/prepare

Build an unsigned, simulated, prepared Soroban transaction for the requested trading op. The trader is fixed to the authenticated key owner.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orders/prepare" \  -H "Content-Type: application/json" \  -d '{    "op": "open_position",    "asset": "string",    "collateral": "string",    "leverage": 1,    "direction": "Long"  }'
{  "op": "string",  "trader": "string",  "xdr": "string",  "minResourceFee": "string"}